Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class HostObjectInfo

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.VectorDataCollection
                  |
                  +--ru.biosoft.plugins.javascript.HostObjectInfo

Direct Known Subclasses:
  ClassInfo

public class HostObjectInfo
extends VectorDataCollection

Provides description of JavaScript host object. Description also includes information about hostObject properties and functions.

`HostObjectInfo` implements `DataCollection` interface, so it can be shown in repository tree.

See Also: JScriptContext.defineFunction(IConfigurationElement,Context,ScriptableObject,ru.biosoft.access.DataCollection)

Fields inherited from class ru.biosoft.access.VectorDataCollection
`INITIAL_SIZE`

Constructor Summary
`HostObjectInfo(String name, DataCollection parent)` Creates info for the specified host object.

Method Summary
`String` | `generateHtml()`
`String` | `getDescription()`
`String` | `getType()`
`void` | `setDescription(String description)`
`void` | `setType(String type)`
`String` | `toString()`
`String` | `toString(boolean isHtml)`

Methods inherited from class ru.biosoft.access.VectorDataCollection
`close, getAt, getNameList, getSize, iterator, put, toArray`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, contains, contains, get, getCompleteName, getDataElementType, getInfo, isMutable, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Constructor Detail

### HostObjectInfo

    public HostObjectInfo(String name, DataCollection parent)

  Creates info for the specified host object.
  Parameters:
    name - - host object name
    parent - - `DataCollection` to which this host object belongs. Generally it is `plugins/Javascript/host objects`.

Method Detail

### generateHtml

    public String generateHtml()

### getDescription

    public String getDescription()

### getType

    public String getType()

### setDescription

    public void setDescription(String description)

### setType

    public void setType(String type)

### toString

    public String toString()

### toString

    public String toString(boolean isHtml)

Association Links

to Class java.lang.String

  Property type

to Class java.lang.String

  The function description

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM